# coding: utf-8

"""

    # Authentication  <!-- ReDoc-Inject: <security-definitions> -->  # noqa: E501

    OpenAPI spec version: 0.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import unittest

import apifff
from apifff.api.phase_api import PhaseApi  # noqa: E501
from apifff.rest import ApiException


class TestPhaseApi(unittest.TestCase):
    """PhaseApi unit test stubs"""

    def setUp(self):
        self.api = PhaseApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_api_compets_phases_get_subresource_compet_subresource(self):
        """Test case for api_compets_phases_get_subresource_compet_subresource

        Retrieves a Compet resource.  # noqa: E501
        """
        pass

    def test_api_compets_phases_poules_get_subresource_compet_subresource(self):
        """Test case for api_compets_phases_poules_get_subresource_compet_subresource

        Retrieves a Compet resource.  # noqa: E501
        """
        pass

    def test_get_phase_collection(self):
        """Test case for get_phase_collection

        Retrieves the collection of Phase resources.  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
